TokenFilter.ReplaceRegex (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.filters, class: TokenFilter, class: ReplaceRegex

Package org.apache.tools.ant.filters

# Class TokenFilter.ReplaceRegex

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter
org.apache.tools.ant.filters.TokenFilter.ReplaceRegex

All Implemented Interfaces:
  `java.lang.Cloneable`, `ChainableReader`, `TokenFilter.Filter`

Enclosing class:
  TokenFilter

    public static class TokenFilter.ReplaceRegex
    extends TokenFilter.ChainableReaderFilter

filter to replace regex.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReplaceRegex()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `filter​(java.lang.String line)` | filter and/of modify a string
  `void` | `setFlags​(java.lang.String flags)` |
  `void` | `setPattern​(java.lang.String from)` | the from attribute
  `void` | `setReplace​(java.lang.String to)` | the to attribute

  ### Methods inherited from class org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter

  `chain, setByLine`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReplaceRegex

    public ReplaceRegex()

- ## Method Details

  - ### setPattern

    public void setPattern​(java.lang.String from)
    the from attribute
    Parameters:
      `from` - the regex string

  - ### setReplace

    public void setReplace​(java.lang.String to)
    the to attribute
    Parameters:
      `to` - the replacement string

  - ### setFlags

    public void setFlags​(java.lang.String flags)
    Parameters:
      `flags` - the regex flags

  - ### filter

    public java.lang.String filter​(java.lang.String line)
    Description copied from interface: `TokenFilter.Filter`
    filter and/of modify a string
    Parameters:
      `line` - the string to modify
    Returns:
      the modified string